Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"gender": 2,
"id": 94713,
"known_for_department": "Acting",
"name": "Warren Mitchell",
"original_name": "Warren Mitchell",
"popularity": 25.146,
"profile_path": "/mMFruuo24m0A8LgVXjE6cUDrGFx.jpg",
"character": "Alf Garnett",
"credit_id": "5253853f19c295794020694c",
"order": 0
},
{
"adult": false,
"gender": 1,
"id": 87747,
"known_for_department": "Acting",
"name": "Dandy Nichols",
"original_name": "Dandy Nichols",
"popularity": 14.787,
"profile_path": "/kOF7x205JqOyjwWkgAWzkMtQBcn.jpg",
"character": "Else Garnett",
"credit_id": "5253853e19c29579402068ae",
"order": 1
},
{
"adult": false,
"gender": 1,
"id": 1218303,
"known_for_department": "Acting",
"name": "Una Stubbs",
"original_name": "Una Stubbs",
"popularity": 21.063,
"profile_path": "/bz23ewpBlZNgSwCLqKPaa8ulKfQ.jpg",
"character": "Rita Rawlins",
"credit_id": "5253853f19c29579402068ea",
"order": 2
},
{
"adult": false,
"gender": 2,
"id": 110455,
"known_for_department": "Acting",
"name": "Anthony Booth",
"original_name": "Anthony Booth",
"popularity": 12.127,
"profile_path": "/qKdk7EFxFRkurP56fXmqkQqQlDm.jpg",
"character": "Mike Rawlins",
"credit_id": "5253854019c295794020699c",
"order": 3
}
],
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.556,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 17.625,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 18.165,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
],
"id": 31095
}TV EPISODES
Credits
This endpoint is used to get the credit for a tv episode.
GET
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
/
credits
Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"gender": 2,
"id": 94713,
"known_for_department": "Acting",
"name": "Warren Mitchell",
"original_name": "Warren Mitchell",
"popularity": 25.146,
"profile_path": "/mMFruuo24m0A8LgVXjE6cUDrGFx.jpg",
"character": "Alf Garnett",
"credit_id": "5253853f19c295794020694c",
"order": 0
},
{
"adult": false,
"gender": 1,
"id": 87747,
"known_for_department": "Acting",
"name": "Dandy Nichols",
"original_name": "Dandy Nichols",
"popularity": 14.787,
"profile_path": "/kOF7x205JqOyjwWkgAWzkMtQBcn.jpg",
"character": "Else Garnett",
"credit_id": "5253853e19c29579402068ae",
"order": 1
},
{
"adult": false,
"gender": 1,
"id": 1218303,
"known_for_department": "Acting",
"name": "Una Stubbs",
"original_name": "Una Stubbs",
"popularity": 21.063,
"profile_path": "/bz23ewpBlZNgSwCLqKPaa8ulKfQ.jpg",
"character": "Rita Rawlins",
"credit_id": "5253853f19c29579402068ea",
"order": 2
},
{
"adult": false,
"gender": 2,
"id": 110455,
"known_for_department": "Acting",
"name": "Anthony Booth",
"original_name": "Anthony Booth",
"popularity": 12.127,
"profile_path": "/qKdk7EFxFRkurP56fXmqkQqQlDm.jpg",
"character": "Mike Rawlins",
"credit_id": "5253854019c295794020699c",
"order": 3
}
],
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.556,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 17.625,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 18.165,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
],
"id": 31095
}Authorizations
Path Parameters
Response
200 - application/json
Successful